/*
 * generator.h
 *
 * Josef Kufner <jkufner@seznam.cz>
 *
 */

#ifndef TEXTABLE_GENERATOR_H
#define TEXTABLE_GENERATOR_H

int gen_set_format(char *format);

/* Generovani vystupu v LaTeX */
int gen_latex_begin(char *file_name);
int gen_latex_head(void);
int gen_latex_data(void);
int gen_latex_raw(char *raw_line);
int gen_set_example_line(void);
int gen_latex_example(void);
int gen_latex_end(void);

/* Generovani pouze hodnot pro GNUPlot */
int gen_plain_begin(char *file_name);
int gen_plain_data(void);
int gen_plain_end(void);

#endif
