/*
 * main.h
 *
 * Josef Kufner <jkufner@seznam.cz>
 *
 */

#ifndef TEXTABLE_MAIN_H
#define TEXTABLE_MAIN_H

#include <sys/types.h>

#define EXIT_OK		0
#define EXIT_ERROR	255

#define MAX_LEN		256

extern int verbose, debug, ignore_error;
extern char *prg_name;
extern int line_no;

extern char *in_file, *out_file, *out_plain_file;

void *malloc_c (const size_t size);

#endif
